#ifndef _HEADERS_DEFINITIONS_H
#define _HEADERS_DEFINITIONS_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define TitleCaption "SQL-Exchange Client"
#define FileVersion  "1.0.0.9"
#define RegistryKey  "Software\\Enginuity\\SQL-Exchange\\Client"  

#define AUTH_CMD_FAILED     1
#define AUTH_CMD_OK         2
#define AUTH_CMD_SUCCESS    3
#define AUTH_CMD_DISCONNECT 4
#define AUTH_CMD_UNKNOWN    5

#define COMMAND_RESULT_DISCONNECT 1
#define COMMAND_RESULT_OK         2
#define COMMAND_RESULT_ERROR      3
#define COMMAND_RESULT_UNKNOWN    4

//---------------------(Instance Definitions & Dialog Handle Definitions)
HINSTANCE MainInstance = NULL; // WinMain (Application) Instance
HWND MainDialog_hWnd   = NULL;
HWND SplashDialog_hWnd = NULL;

//---------------------(Global Variables)
char gsBaseCommKey[1024];
char gsAuthString[1024];

char gsLocalCryptKey[1024];
char gsAdminPassword[64];

char gsCompanyName[64];
char gsCompanyPassword[64];    

char gsSQLServer[256];
char gsSQLUserID[256];
char gsSQLPassword[256];
char gsSQLDatabase[256];
char gsSQLDriver[256];

char gsWPServer[256];
char gsPath[256];

DWORD dlDataCRC = 0;
DWORD glConnectPort = 0;
DWORD glTCPLoopDelay = 0;
DWORD glConnectInterval = 0;

bool gbIsClientDialogOpen = false;
bool gbApplicationRunning = false;
bool gbKillApplication = false;
bool gbConnectNow = false;

struct _MainDialogInfo{
    HWND RecvEdit_hWnd;
}; _MainDialogInfo MDI;

_QueuSystem QS;

//---------------------(Dialog Prototypes)
BOOL CALLBACK MainDialog(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK SplashDialog(HWND, UINT, WPARAM, LPARAM);

//---------------------(Function Prototypes)
bool DoConnect(void);
bool DoDisconnect(void);

bool GetRegistryValues(void);
bool SaveRegistryValues(void);

int AuthenticateWithServer(void);

bool ClientSend(char *, int);
bool SimpleClientSend(char *);
bool xMainEntry(void);
bool WaitOnApplicationToExit(void);
bool Initialize(void);
bool Uninitialize(void);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif



